# -*- rpm-spec -*-
# $Id: speak_freely,v 1.4 2002/10/23 14:27:05 grigory Exp $

Name: speak_freely
Version: 7.5
Release: alt1

Summary: %name - Voice Communication Over Data Networks
License: public domain
Group: Networking/Chat
URL: http://www.fourmilab.ch/speakfree/unix/

Source0: %url/%name-%version.tar.bz2
Patch0: %name-%version-makefile.patch

# Automatically added by buildreq on Wed Oct 23 2002
BuildRequires: libncurses-devel libtinfo-devel

%description
Speak Freely for Unix uses the workstation audio hardware and  network
to   allow   bidirectional   conversations  right  over  the  network.
Workstations on local area networks  can  generally  communicate  with
excellent  audio  quality  and  response.   A  software implementation
(developed  by  Jutta  Degener   and   Carsten   Bormann,   Technische
Universitaet  Berlin) of the compression algorithm used in GSM digital
cellular telephones allows operation over  Internet  links  of  modest
bandwidth.   By  using  GSM  compression  in  conjunction  with sample
interpolation, the data rate can be reduced to about 9600 baud.  Users
with  CPUs  too  slow or two heavily loaded to perform GSM compression
and decompression in real time may select less compact but quicker  to
execute ADPCM coding, using an implementation developed by Jack Jansen
of the Centre for Mathematics and  Computer  Science,  Amsterdam,  The
Netherlands.
The  phone  company  never gives you a break!  You pay a fortune for a
leased line connection to the Internet, and you *still*  have  to  pay
every  time  you  want  to chat with somebody, even though you're both
sitting in front of workstations with digital audio capability, linked
by  a  fast  network.  Speak Freely for Unix can intercommunicate with
Speak Freely for Windows, available from my Web  site  listed  at  the
end.

Use "sfmike-half and sfspeaker-half" for sound cards without duplex...

%prep
%setup -q

%patch0 -p1

%build 
ORIG_OPT=" -DAUDIO_BLOCKING -DLINUX -DHALF_DUPLEX -DM_LITTLE_ENDIAN"
HALF_OPT=" -DAUDIO_BLOCKING -DLINUX -DM_LITTLE_ENDIAN -DHALF_DUPLEX -DLINUX_DSP_SMALL_BUFFER"
FULL_OPT=" -DAUDIO_BLOCKING -DLINUX -DM_LITTLE_ENDIAN -DLINUX_DSP_SMALL_BUFFER"
%__subst "s|$ORIG_OPT|$HALF_OPT|" Makefile
%make_build INSTDIR=%_prefix INSTDIR_MAN=%_mandir
%__mv sfmike sfmike-half
%__mv sfspeaker sfspeaker-half
%__make clean
%__subst "s|$HALF_OPT|$FULL_OPT|" Makefile
%make_build

%install 
%__mkdir_p %buildroot{%_bindir,%_man1dir}
%make_install install INSTDIR=%buildroot%_prefix INSTDIR_MAN=%buildroot%_mandir
%__install *-half %buildroot%_bindir
%__install -d %buildroot%_datadir/%name
%__install *.au %buildroot%_datadir/%name

%files
%doc COPYING INSTALL README* 
%_bindir/*
%_man1dir/*
%_datadir/%name

%changelog
* Wed Oct 23 2002 Grigory Milev <week@altlinux.ru> 7.5-alt1
- remmove perl from buildrequires
- new version released

* Thu Oct 25 2001 Grigory Milev <week@altlinux.ru>  speak_freely-7.2-alt1
- Initial build for ALT Linux distribution.


